Linux Kernelの脆弱性情報(Medium: CVE-2018-19406, CVE-2018-19407)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

11/21/2018にLinux Kernelの脆弱性情報(Medium: CVE-2018-19406, CVE-2018-19407)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

  • CVE-2018-19406

    Medium

    • SuSE
    • Red Hat Customer Potal
      • CVSS v3 Base Score: 4.4
      • Vector: CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
    • NVD
  • CVE-2018-19407

    Medium

    • SuSE
      • CVSS v3 Base Score: 5.5
      • Vector: AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
    • Red Hat Customer Potal
      • CVSS v3 Base Score: 4.4
      • Vector: CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
    • NVD

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19406
    • DoSの可能性
    • 重要度 - Low
    • 4.19.2までのLinux Kernelでは、arch/x86/kvm/lapic.c中のkvm_pv_send_ipi()関数に問題があり、細工されたシステムコールを使ってローカルのユーザがDoS(NULLポインタ非参照)を引き起こす事が出来る可能性があります。
  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19407
    • use-after-freeの脆弱性
    • 重要度 - Low
    • 4.19.2までのLinux Kernelでは、arch/x86/kvm/x86.c中のvcpu_scan_ioapic()関数に問題があり、細工されたシステムコールを使ってローカルのユーザがDoS(NULLポインタ非参照とBUG)を引き起こす事が出来る可能性があります。


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、peacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

セキュリティ系連載案内

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

PHPの脆弱性情報(Medium: CVE-2018-19395, CVE-2018-19396)

次へ

gitに関しての脆弱性情報 ( Important: CVE-2018-19486 )